Recent

Author Topic: JVCLLAZ on Lazarus 2.08  (Read 626 times)

folkeu08

  • New Member
  • *
  • Posts: 36
JVCLLAZ on Lazarus 2.08
« on: July 25, 2020, 09:27:35 am »
Hello,
I am on Windows 7 64 bit and I am using Lazarus 2.08.
I will want to use the JVCLLaz components. A compilation problem with
  * jvpascalinterpreterr.lpk and
  * jvpascalinterpreterd.lpk.
Lazarus reports that it cannot find the system.rtti file.
how to proceed ?
Thank you

wp

  • Hero Member
  • *****
  • Posts: 7970
Re: JVCLLAZ on Lazarus 2.08
« Reply #1 on: July 25, 2020, 10:30:44 am »
The package works correctly on 32bit. The problem is 64bit where there are some special calls to some rtti functions which I did not take the time to figure out, yet. In the jvcllaz trunk version, there is a more decent error message saying that the package cannot be compiled for 64bit. Of course, patches to fix 64-bit handling will be gladly accepted.
Mainly Lazarus trunk / fpc 3.2.0 / all 32-bit on Win-10, but many more...

folkeu08

  • New Member
  • *
  • Posts: 36
Re: JVCLLAZ on Lazarus 2.08
« Reply #2 on: July 25, 2020, 06:20:43 pm »
Hello,
I created a 32-bit W10 virtual machine with virtualbox. I installed lazarus 2.0.10 in 32 bits.
The problem is the same on the 32-bit version, JVCLLaz does not install.
Thanks

totya

  • Hero Member
  • *****
  • Posts: 643
Re: JVCLLAZ on Lazarus 2.08
« Reply #3 on: July 25, 2020, 06:50:58 pm »
Hello,
I am on Windows 7 64 bit and I am using Lazarus 2.08.
I will want to use the JVCLLaz components. A compilation problem with
  * jvpascalinterpreterr.lpk and
  * jvpascalinterpreterd.lpk.
Lazarus reports that it cannot find the system.rtti file.
how to proceed ?
Thank you

With latest svn both file compile unsuccess for me on x64, because:

Code: Pascal  [Select][+][-]
  1. {$IFDEF CPUX64}THIS PACKAGE WAS NOT PORTED FOR 64-bit CPU{$ENDIF}

:)

I can't try on x86 at the moment...

wp

  • Hero Member
  • *****
  • Posts: 7970
Re: JVCLLAZ on Lazarus 2.08
« Reply #4 on: July 25, 2020, 08:05:11 pm »
Hello,
I created a 32-bit W10 virtual machine with virtualbox. I installed lazarus 2.0.10 in 32 bits.
The problem is the same on the 32-bit version, JVCLLaz does not install.
Really? I tested Laz2.0.10/FPC3.2.0/32-bit on Win10, Laz 2.0.8/FPC 3.0.4 and Laz trunk/FPC 3.2.0/32bit and Laz (all on "real" machines), as well as Laz2.0.10/FPC3.2.0 on a VM with Win7. No compilation issue on any of them. You must be doing something wrong...

Do you really need the PascalInterpreter package? Or is your primary concern only that you need some JVLC component but you cannot install it due to the PascalInterpreter issue? In this case simply do not install the PascalInterpreter package. If needed I can give you further instructions how to do this, but I'd have to know whether you install from OPM or from the CCR-trunk.
Mainly Lazarus trunk / fpc 3.2.0 / all 32-bit on Win-10, but many more...

 

TinyPortal © 2005-2018